Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class NamedParameterDescriptor

    java.lang.Object
      org.hibernate.engine.query.spi.NamedParameterDescriptor

All Implemented Interfaces:
  Serializable

    public class NamedParameterDescriptor

extends Object
implements Serializable

Descriptor regarding a named parameter.

See Also:
  Serialized Form

Constructor Summary
`NamedParameterDescriptor(String name, Type expectedType, int[] sourceLocations, boolean jpaStyle)`

Method Summary
`Type` | `getExpectedType()`
`String` | `getName()`
`int[]` | `getSourceLocations()`
`boolean` | `isJpaStyle()`
`void` | `resetExpectedType(Type type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedParameterDescriptor

    public NamedParameterDescriptor(String name,
                                    Type expectedType,
                                    int[] sourceLocations,
                                    boolean jpaStyle)

Method Detail

### getName

    public String getName()

### getExpectedType

    public Type getExpectedType()

### getSourceLocations

    public int[] getSourceLocations()

### isJpaStyle

    public boolean isJpaStyle()

### resetExpectedType

    public void resetExpectedType(Type type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.